当前位置:首页 > Liunx教程 >

RHSA-2021:0343: perl 安全更新

发布时间:2021-03-22 16:08:56 作者:佚名 阅读:(248)

最近收到了服务器有漏洞的通知,提示:RHSA-2021:0343:perl安全更新,接下来吾爱编程就为大家介绍一下perl安全更新的方法,有需要的小伙伴可以参考一下:

RHSA-2021:0343: perl 安全更新

1、漏洞提示:

RHSA-2021:0343: perl 安全更新

2、漏洞描述:

漏洞编号 漏洞公告 漏洞描述
CVE-2020-10543 Perl缓冲区错误漏洞 Perl是Perl社区的一款通用、解释型、动态的跨平台编程语言。 Perl 5.30.3之前版本(基于32位平台)中的正则表达式编辑器存在缓冲区错误漏洞。攻击者可利用该漏洞造成拒绝服务。
CVE-2020-10878 Perl输入验证错误漏洞 Perl是Perl社区的一款通用、解释型、动态的跨平台编程语言。 Perl 5.30.3之前版本中存在输入验证错误漏洞,该漏洞源于程序未正确处理\"PL_regkind[OP(n)] == NOTHING\" 情况。攻击者可借助特制的正则表达式利用该漏洞注入指令。
CVE-2020-12723 Perl远程代码执行漏洞 Perl是Perl社区的一款通用、解释型、动态的跨平台编程语言。 Perl 5.30.3之前版本中的regcomp.c文件存在安全漏洞。攻击者可利用该漏洞造成拒绝服务或可能执行代码。

3、影响说明:

软件:perl-Pod-Escapes 1.04-295.el7
命中:perl-Pod-Escapes version less than 1:1.04-299.el7_9
路径:/usr/share/man/man3/Pod::Escapes.3pm.gz
软件:perl-macros 5.16.3-295.el7
命中:perl-macros version less than 4:5.16.3-299.el7_9
路径:/etc/rpm/macros.perl

4、解决方法:

yum update perl-Pod-Escapes
yum update perl-macros

5、重启验证:

reboot

以上就是吾爱编程为大家介绍的关于perl安全更新解决方法的全部内容了,希望对大家有所帮助,了解更多相关文章请关注吾爱编程网!

欢迎分享转载→ RHSA-2021:0343: perl 安全更新

© 2015-2021 - 吾爱编程网 版权所有 苏ICP备18033726号-1关于我们 - 网站声明 - 联系我们